<p-dialog  modal="true" [width]="400"  header="Alterar senha e e-mail"  [(closable)]="!obrigatorioAlterarSenha"  [(visible)]="display">

  <div class="container">

    <div class="row">

      <div class="col-md-12">

        <form #form="ngForm" novalidate>

            <div class="form-group">
              <label>Senha Atual:</label>
              <input type="password" [(ngModel)]="alterarPefil.senhaAtual" maxlength="30" id="senhaAtual" name="senhaAtual" autofocus  class="form-control" />
            </div>

            <div class="form-group">
             <label>Nova Senha:</label>
             <input type="password" maxlength="30" [(ngModel)]="alterarPefil.novaSenha"  id="novaSenha" name="novaSenha" class="form-control" />
            </div>

            <div class="form-group">
              <label>Confirmar Senha:</label>
              <input type="password" [disabled]="!alterarPefil.novaSenha"  [(ngModel)]="alterarPefil.confirmarNovaSenha"   maxlength="30" disabled id="confirmarSenha" name="confirmarSenha"  class="form-control" />
            </div>

          <div class="form-group">
            <label>E-mail:</label>
            <input type="text" [(ngModel)]="alterarPefil.novoEmail"  maxlength="60" id="email" name="email"  class="form-control" />
          </div>

          <div class="form-group">
            <label>Confirmar E-mail:</label>
            <input type="text"  maxlength="60" [disabled]="!alterarPefil.novoEmail" [(ngModel)]="alterarPefil.confirmarNovoEmail"  id="confirmarEmail" name="confirmarEmail"  class="form-control" />
          </div>
        </form>

      </div>

    </div>
  </div>
  <hr/>

  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <button   (click)="close()" *ngIf="!obrigatorioAlterarSenha"  class="btn btn-secundary button-right">Cancelar</button>
        <button   (click)="salvar()" [disabled]="!isValid()" class="btn btn-primary button-right">Salvar</button>
      </div>
    </div>
  </div>


</p-dialog>
